RHEL 7:libvirt(RHSA-2018: 1668)(Spectre)

medium Nessus プラグイン ID 110017

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

libvirtの更新プログラムが、Red Hat Enterprise Linux 7.2 Advanced Update Support、Red Hat Enterprise Linux 7.2 Telco Extended Update Support、Red Hat Enterprise Linux 7.2 Update Services for SAP Solutionsで利用可能になりました。

Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重要度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。

libvirtライブラリには、Linuxなどのオペレーティングシステムの仮想化機能を管理、操作するためのC APIが含まれます。
さらに、libvirtは、仮想化されたシステムをリモートで管理するためのツールも提供します。

セキュリティ修正プログラム:

* 最新のマイクロプロセッサー設計の多くで、ロード/ストア命令(広く使用されているパフォーマンスの最適化)の投機的実行の実装方法に、業界レベルの問題が発見されました。これは、権限コードに存在する正確に定義された命令シーケンスに加えて、最近のメモリ書き込みが発生したアドレスからのメモリ読み取りが古い値を参照し、続いて実際にはコミットしない(破棄される)投機的実行の命令に対してもマイクロプロセッサーのデータキャッシュへの更新が行われる可能性があるという事実に基づきます。その結果、権限のない攻撃者がこの欠陥を悪用して、標的にキャッシュサイドチャネル攻撃を実行し権限メモリを読み取る可能性があります。(CVE-2018-3639)

注:これはlibvirtに対応しているCVE-2018-3639緩和策の一部です。

Red Hatはこの問題を報告してくれたKen Johnson氏(Microsoft Security Response Center)とJann Horn氏(Google Project Zero)に感謝の意を表します。

ソリューション

影響を受けるパッケージを更新してください。

参考資料

https://access.redhat.com/security/vulnerabilities/ssbd

https://access.redhat.com/errata/RHSA-2018:1668

https://access.redhat.com/security/cve/cve-2018-3639

プラグインの詳細

深刻度: Medium

ID: 110017

ファイル名: redhat-RHSA-2018-1668.nasl

バージョン: 1.18

タイプ: local

エージェント: unix

公開日: 2018/5/23

更新日: 2021/4/15

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Low

基本値: 2.1

現状値: 1.6

ベクトル: CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N

CVSS v3

リスクファクター: Medium

基本値: 5.5

現状値: 5

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

現状ベクトル: CVSS:3.0/E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:libvirt, p-cpe:/a:redhat:enterprise_linux:libvirt-client, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-config-network, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-config-nwfilter, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-interface, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-lxc, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-network, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-nodedev, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-nwfilter, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-qemu, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-secret, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-driver-storage, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-kvm, p-cpe:/a:redhat:enterprise_linux:libvirt-daemon-lxc, p-cpe:/a:redhat:enterprise_linux:libvirt-debuginfo, p-cpe:/a:redhat:enterprise_linux:libvirt-devel, p-cpe:/a:redhat:enterprise_linux:libvirt-docs, p-cpe:/a:redhat:enterprise_linux:libvirt-lock-sanlock, p-cpe:/a:redhat:enterprise_linux:libvirt-login-shell, cpe:/o:redhat:enterprise_linux:7.2

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2018/5/21

脆弱性公開日: 2018/5/22

参照情報

CVE: CVE-2018-3639

IAVA: 2018-A-0170

RHSA: 2018:1668